Retrieve a List of Users

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V60 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp"
  }
}

Close
GET /profiles/{profile_id}/users

Path parameters

  • profile_id string Required

    id of the profile

Query parameters

  • fields string

    extra information of each user on the list

  • limit number

    maximum count of the user list

  • offset number

    skip that many users before beginning to return

Responses

  • 200 application/json

    OK

    Hide headers attribute Show headers attribute
    • Total-Count string
    Hide response attributes Show response attributes object
    • created_date string
    • email string
    • first_name string
    • global_id string
    • id number
    • is_locked boolean
    • last_name string
    • roles object
      Hide roles attributes Show roles attributes object
      • can_form_edit boolean
      • can_thunderplug_sync boolean
      • role string
    • username string
GET /profiles/{profile_id}/users
curl \
 --request GET 'https://servername.iformbuilder.com/exzact/api/v60/profiles/self/users' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
[
  {
    "id": 161236,
    "username": "demo_user"
  },
  {
    "id": 161239,
    "username": "inspector_1"
  },
  {
    "id": 161242,
    "username": "inspector_2"
  }
]